Employees
Bulk update employee salaries
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/public/v3/employees/salaries/bulk" \ -H "Content-Type: application/json" \ -d '{ "data": [ { "employee_id": 0, "id": 0 } ] }'{ "records": { "count": 0, "data": [ { "id": 0, "effective_on": "2019-08-24", "amount": "string", "currency_code": "string", "per": "string", "comment": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "custom_fields": { "property1": { "name": "string", "value": "string" }, "property2": { "name": "string", "value": "string" } }, "overtime": true, "pay_schedule": { "id": 0, "name": "string" } } ] }, "errors": { "count": 0, "data": [ { "employee_id": 0, "id": 0, "messages": [ "string" ] } ] }}